/*
 * @Company: hugeInfo
 * @Author: ldh
 * @Date: 2022-02-16 15:23:40
 * @LastEditTime: 2022-02-17 14:27:11
 * @LastEditors: ldh
 * @Version: 1.0.0
 * @Description: 面包屑
 */
import React from 'react';
import PropTypes from 'prop-types';
import { Link } from 'react-router-dom';
import './index.less';
import { Breadcrumb } from 'antd';

const PageHead = ({ breadcrumbData = [], title, titleButton = [], otherLayout }) => {
	return (
		<div className="pageHead">
			{breadcrumbData.length != 0 && (
				<div className="pageHead-breadcrumb">
					<Breadcrumb>
						{breadcrumbData.map((x, t) => {
							return <Breadcrumb.Item key={t}>{x.url ? <Link to={x.url}>{x.title}</Link> : <span>{x.title}</span>}</Breadcrumb.Item>;
						})}
					</Breadcrumb>
				</div>
			)}
			<div className="pageHead-title">
				<div className="pageHead-title-h">{title}</div>
				<div className="pageHead-title-button">
					{titleButton.map((x, t) => {
						return (
							<div className="pageHead-title-button-item" key={t}>
								{x}
							</div>
						);
					})}
				</div>
			</div>
			{otherLayout ? otherLayout : null}
		</div>
	);
};

PageHead.propTypes = {
	breadcrumbData: PropTypes.array,
	title: PropTypes.string,
	titleButton: PropTypes.any,
	otherLayout: PropTypes.any,
};

export default PageHead;
